INTERFACE
SUBROUTINE OBSHOR(&
 & LDMVO5,KASLB1,KPROMB,KPROMBMP,&
 & PPARITY ,&
 & POBB1U5 , POBB1V5 , POBB1T5 , POBB1GFL5 ,&
 & POBB1EZ5 , POBB1EH5,&
 & POBB1SP5 , POBB1EST5,&
 & POBB1U05 , POBB1V05 , POBB1CHN5,&
 & POBB1TS5 , POBB1WS5 , POBB1SN5, POBB1Z05, POBB1WL5,&
 & POBB1U10N5,POBB1V10N5,&
 & POBB1OR5 , POBB1CO5 , POBB1DL5, POBB1DM5,&
 & POBB1AL5 , POBB1EM5 , POBB1LS5,&
 & POBB1VG5 ,&
 & POBB1CI5 , POBB1CVH5, POBB1CVL5,POBB1TVH5,POBB1TVL5,&
 & POBB1PW5 , POBB1PS5 ,&
 & POBB1ARG5, POBB1SAB5, POBB1HV5, POBB1Z0H5,&
 & POBB1XTS , POBB1XWS , POBB1XWP, POBB1XSN, POBB1XTP,&
 & POBB1ESN , POBB1ET2 , POBB1EH2, POBB1EV1, POBB1TCLS5, POBB1HUCLS5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGSAG ,NDGENG ,NFLEVG
USE YOMSC2 , ONLY : NFLDOBB1
USE GOMS_MIX
USE YOMDB
USE OBSHOR_CACHE_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KASLB1
LOGICAL ,INTENT(IN) :: LDMVO5
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMBMP
REAL(KIND=JPRB) ,INTENT(IN) :: PPARITY(NFLDOBB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POBB1U5(KASLB1,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1V5(KASLB1,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1T5(KASLB1,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1GFL5(KASLB1,NFLEVG,NGOMGFL)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EZ5(KASLB1,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EH5(KASLB1,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1SP5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EST5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1U05(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1V05(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1CHN5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1TS5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1WS5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1SN5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1Z05(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1WL5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1U10N5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1V10N5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1OR5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1CO5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1DL5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1DM5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1AL5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EM5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1LS5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1VG5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1CI5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1CVH5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1CVL5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1TVH5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1TVL5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1PW5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1PS5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1ARG5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1SAB5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1HV5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1Z0H5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1XTS(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1XWS(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1XWP(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1XSN(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1XTP(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1ESN(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1ET2(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EH2(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: POBB1EV1(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN),OPTIONAL :: POBB1TCLS5(KASLB1)
REAL(KIND=JPRB) ,INTENT(IN),OPTIONAL :: POBB1HUCLS5(KASLB1)
END SUBROUTINE OBSHOR
END INTERFACE
